import React, {useState, useCallback} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
const csvUrl = 'https://gist.githubusercontent.com/curran/b236990081a24761f7000567094914e0/raw/cssNamedColors.csv';
const width = 960;
const height = 500;

const message = data => {
    let message = '';
    message = message + Math.round(d3.csvFormat(data).length / 1024) + ' kB\n';
    message = message + data.length + ' rows\n';
    message = message + data.columns.length + ' columns';
    return message;
};

const App = () => {
  const [data, setData] 
  = useState(null);
  
      d3.csv(csvUrl).then(data => {
        setData(data)

      });
  return <pre>Data is:{data ? message(data):'loading...'}</pre>

};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);